using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Hotline.Share.Enums.Order;
using XF.Domain.Authentications;

namespace Hotline.Authentications
{
    public class SessionContextCreator
    {
        public static ISessionContext CreateSessionContext(string source)
        {
            switch (source)
            {
                case "province":
                    return new ProvinceSessionContext();
                case "110":
                    return new Police110SessionContext();
                case "yb-enterprise":
                    return new YbEnterpriseSessionContext();
                case "zzpt":
                    return new ZzptSessionContext();
                default:
                    throw new ArgumentOutOfRangeException(nameof(source), source, null);
            }
        }
    }
}
